linux: 4.2.0-27.32 -proposed tracker

Bug #1536867 reported by Brad Figg on 2016-01-22
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Wily
Medium
Unassigned

Bug Description

This bug is for tracking the 4.2.0-27.32 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 22. January 2016 02:11 UTC
kernel-stable-Prepare-package-end:Friday, 22. January 2016 14:56 UTC
kernel-stable-Promote-to-proposed-start:Friday, 22. January 2016 14:56 UTC
kernel-stable-Promote-to-proposed-end:Friday, 22. January 2016 19:26 UTC
kernel-stable-Verification-testing-start:Friday, 22. January 2016 21:02 UTC
kernel-stable-Certification-testing-start:Friday, 22. January 2016 21:02 UTC
kernel-stable-Security-signoff-start:Friday, 22. January 2016 21:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 22. January 2016 21:03 UTC
kernel-stable-Security-signoff-end:Saturday, 23. January 2016 00:01 UTC
kernel-stable-Regression-testing-end:Monday, 25. January 2016 18:02 UTC
kernel-stable-Verification-testing-end:Monday, 01. February 2016 14:44 UTC
kernel-stable-Promote-to-updates-start:Monday, 01. February 2016 15:02 UTC
kernel-stable-Certification-testing-end:Monday, 01. February 2016 15:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 01. February 2016 17:38 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 01. February 2016 19:05 UTC

Brad Figg (brad-figg) on 2016-01-22
tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: block-proposed-wily
tags: added: wily
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Wily):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Wily):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
Luis Henriques (henrix) on 2016-01-22
Changed in linux (Ubuntu):
status: Confirmed → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-wily (14.04.1) - bug 1537089

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-raspi2

description: updated

 linux | 4.2.0-27.32 | wily-proposed | source
 linux-meta | 4.2.0.27.30 | wily-proposed | source
 linux-signed | 4.2.0-27.32 | wily-proposed | source

Brad Figg (brad-figg) on 2016-01-22
description: updated

Here's the relevant information:

 wily linux 4.2.0-27.32 REGR summary<REGN: 1 MISS: 29 REGR: 7 FAIL: 19 GOOD: 96>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

description: updated
Brad Figg (brad-figg) on 2016-01-23
description: updated
Brad Figg (brad-figg) on 2016-01-25
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2016-01-25
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Po-Hsu Lin (cypressyew) wrote :

SRU testing process is blocked with bug 1539634, a regression to the libnl package, which is causing network-manager fail to start.

Brad Figg (brad-figg) on 2016-02-01
description: updated
Brad Figg (brad-figg) on 2016-02-01
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-27.32

---------------
linux (4.2.0-27.32) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1536867

  [ Andy Whitcroft ]

  * SAUCE: (no-up) add compat_uts_machine= kernel command line override
    - LP: #1520627

  [ Colin Ian King ]

  * SAUCE: (no-up) ACPI / tables: Add acpi_force_32bit_fadt_addr option to
    force 32 bit FADT addresses
    - LP: #1529381

  [ Eric Dumazet ]

  * SAUCE: (no-up) udp: properly support MSG_PEEK with truncated buffers
    - LP: #1527902

  [ Guilherme G. Piccoli ]

  * SAUCE: powerpc/eeh: Validate arch in eeh_add_device_early()
    - LP: #1486180

  [ Tim Gardner ]

  * SAUCE: (no-up) Revert "[SCSI] libiscsi: Reduce locking contention in
    fast path"
    - LP: #1517142
  * [Config] Add DRM ast driver to udeb installer image
    - LP: #1514711

  [ Upstream Kernel Changes ]

  * net/mlx5e: Re-eanble client vlan TX acceleration
    - LP: #1533249
  * net/mlx5e: Fix LSO vlan insertion
    - LP: #1533249
  * net/mlx5e: Fix inline header size calculation
    - LP: #1533249
  * net: usb: cdc_ncm: Adding Dell DW5812 LTE Verizon Mobile Broadband Card
    - LP: #1533118
  * net: usb: cdc_ncm: Adding Dell DW5813 LTE AT&T Mobile Broadband Card
    - LP: #1533118
  * powerpc/eeh: Fix recursive fenced PHB on Broadcom shiner adapter
    - LP: #1532942

linux (4.2.0-26.31) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1535795
  * Merged back Ubuntu-4.2.0-25.30

 -- Brad Figg <email address hidden> Thu, 21 Jan 2016 18:44:37 -0800

Changed in linux (Ubuntu Wily):
status: Confirmed → Fix Released

 linux | 4.2.0-27.32 | wily-updates | source
 linux-meta | 4.2.0.27.30 | wily-updates | source
 linux-signed | 4.2.0-27.32 | wily-updates | source

Brad Figg (brad-figg) on 2016-02-01
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers